> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# シークレット一覧

> 保存シークレットの名前とマスク。

**`GET`** `https://api-datahub.octoparse.com/v1/secrets`

認証：APIキー必須（`Authorization: Bearer <API Key>`）。

api-kind App（`runtime.env`）向けに保存した環境シークレット一覧。平文は書き込み専用。読み取りは常にマスクのみ。

## リクエスト

### リクエスト例

```bash theme={null}
curl   -H "Authorization: Bearer $OCTOPARSE_API_KEY"   "https://api-datahub.octoparse.com/v1/secrets"
```

## レスポンス

### 200 成功

```json theme={null}
{
  "data": {
    "items": [
      {
        "name": "EXAMPLE_API_KEY",
        "mask": "sk-****abcd",
        "updated_at": "2026-09-01T08:00:00+00:00"
      }
    ]
  }
}
```

ペイロードは `data` に包まれます。フィールド:

<ResponseField name="items" type="array" required>
  シークレット一覧。

  <Expandable title="item">
    <ResponseField name="name" type="string" required>
      シークレット名。App は `env.<name>` で参照。
    </ResponseField>

    <ResponseField name="mask" type="string" required>
      マスク値。平文は返さない。
    </ResponseField>

    <ResponseField name="updated_at" type="string" required>
      最終更新（ISO 8601）。
    </ResponseField>
  </Expandable>
</ResponseField>

### エラー

| HTTP | `code`         | `category`  | Description    |
| ---- | -------------- | ----------- | -------------- |
| 401  | `unauthorized` | `forbidden` | API キー欠落または無効。 |

エラー応答は `{"error": {code, category, message, retryable}}` です。<a href="/docs/jp/datahub/api/reference/introduction#errors">エラー</a> を参照。

## クライアントライブラリ

Python / JavaScript SDK はまだこのエンドポイントをラップしていません。REST を直接呼び出してください。
